rts/linker: Move loadArchive to new source file
ClosedPublic

Authored by bgamari on Oct 27 2016, 10:15 AM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bgamari updated this revision to Diff 9180.Oct 27 2016, 10:15 AM
bgamari retitled this revision from to rts/linker: Move loadArchive to new source file.
bgamari updated this object.
bgamari edited the test plan for this revision. (Show Details)
bgamari added reviewers: erikd, simonmar, austin, DemiMarie.
bgamari updated the Trac tickets for this revision.
bgamari added subscribers: hvr, thomie.
bgamari updated this revision to Diff 9181.Oct 27 2016, 10:50 AM
bgamari edited edge metadata.

Fix OS X

DemiMarie accepted this revision.Oct 27 2016, 11:24 PM
DemiMarie edited edge metadata.

I think that splitting this patch from mine was the right decision, despite causing me some confusion.

This revision is now accepted and ready to land.Oct 27 2016, 11:25 PM

So I just landed a rather large patch-set splitting up Linker.c in hopes of making its implementation a bit less CPP-heavy. I'll try to rebase this patch on top of the current state of the tree today.

bgamari updated this revision to Diff 9293.Nov 3 2016, 3:57 PM
bgamari edited edge metadata.

Rebase

bgamari added a subscriber: Phyx.Nov 3 2016, 5:47 PM

Here is a rebased version of this patch.

rts/linker/LoadArchive.c
546

I'm a bit torn on where this should live. It currently lives in linker/PEi386.c but it could be moved to this file. @Phyx, @erikd, any thoughts?

Phyx added inline comments.Nov 4 2016, 1:16 PM
rts/linker/LoadArchive.c
546

I have a slight preference to have it in linker/PEi386 as it is indeed very PE specific while the rest of the file is mostly platform agnostic.. Also the implementation will change (it's somewhere on my list). At that time it would make even more sense in linker/PEi386.

bgamari updated this revision to Diff 9330.Nov 7 2016, 9:48 AM
bgamari edited edge metadata.

Kill duplicate Windows archive loading functions

Alright, I think this should be done now.

rts/linker/LoadArchive.c
546

Your wish is my command.

This revision was automatically updated to reflect the committed changes.